Bug 672955 - Review Request: iwl100-firmware - Firmware for Intel(R) Wireless WiFi Link 100 Series Adapters
Summary: Review Request: iwl100-firmware - Firmware for Intel(R) Wireless WiFi Link 1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-26 19:26 UTC by John W. Linville
Modified: 2011-02-14 20:30 UTC (History)
3 users (show)

Fixed In Version: iwl100-firmware-39.31.5.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-03 18:34:45 UTC
Type: ---
lemenkov: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description John W. Linville 2011-01-26 19:26:50 UTC
Spec URL: http://linville.fedorapeople.org/iwl100-firmware.spec
SRPM URL: http://linville.fedorapeople.org/iwl100-firmware-39.31.5.1-1.fc14.src.rpm
Description:
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl100 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

Comment 1 Peter Lemenkov 2011-01-28 06:32:48 UTC
I'll review it

Comment 2 Peter Lemenkov 2011-01-28 06:36:34 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/iwl100-firmware-39.31.5.1-1.fc12.noarch.rpm 
iwl100-firmware.noarch: W: spelling-error %description -l en_US iwlagn -> lagniappe, lasagna, lagging

^^^ this message is a false positive.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Redistributable w/o modifications).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum iwlwifi-100-ucode-39.31.5.1.tgz*
8259ad79f3f7bee97ac312b8336762665a4b1b9b72e646d808865b3aa36a7fcb  iwlwifi-100-ucode-39.31.5.1.tgz
8259ad79f3f7bee97ac312b8336762665a4b1b9b72e646d808865b3aa36a7fcb  iwlwifi-100-ucode-39.31.5.1.tgz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Comment 3 John W. Linville 2011-02-01 19:40:33 UTC
New Package SCM Request
=======================
Package Name: iwl100-firmware
Short Description: Firmware for Intel(R) Wireless WiFi Link 100 Series Adapters
Owners: linville
Branches: F-14
InitialCC: linville

Comment 4 Bill Nottingham 2011-02-02 22:38:37 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-02-03 18:41:19 UTC
iwl100-firmware-39.31.5.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iwl100-firmware-39.31.5.1-1.fc14

Comment 6 Fedora Update System 2011-02-14 20:30:48 UTC
iwl100-firmware-39.31.5.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.